function varargout = showroots(varargin)
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @showroots_OpeningFcn, ...
                   'gui_OutputFcn',  @showroots_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin & isstr(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end
if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
function showroots_OpeningFcn(hObject, eventdata, handles, varargin)
handles.output = hObject;
load('raizes');

  

obj=findobj(gcf,'tag','text111');
set(obj,'string',num2str(raizesnume)); 

obj=findobj(gcf,'tag','text222');
set(obj,'string',num2str(raizesdenomi));

guidata(hObject, handles);
%--------------------------------------------------------------------------
function varargout = showroots_OutputFcn(hObject, eventdata, handles)
varargout{1} = handles.output;
%--------------------------------------------------------------------------
function pushbuttonsave_Callback(hObject, eventdata, handles)%AQUI SALVA BONITINHO

load('caminho');


extensao='.doc';

cd(caminhosave);
[nome,caminhosave]=uiputfile('*.doc','Sense2 - Save Table');
cd(caminhoinicial);
if caminhosave~=0        
    save caminho.mat caminho caminhoinicial caminhosave
end

if nome~=0	
	tamanho=length(nome);	
	if tamanho==1
        nome=strcat(nome,extensao);
	elseif tamanho==2
        nome=strcat(nome,extensao);
	elseif tamanho==2
        nome=strcat(nome,extensao);
	elseif tamanho==3    
        nome=strcat(nome,extensao);
	else
        finaldonome=strcat(nome(tamanho-3),nome(tamanho-2),nome(tamanho-1),nome(tamanho));
        if strcmpi(finaldonome,'.doc')==0||strcmpi(finaldonome,'.DOC')==0
            nome=strcat(nome,extensao);
        end 
	end    
	nomecaminho=strcat(caminhosave,nome);
	fp=fopen(nomecaminho,'w');  

    load('raizes');
    fprintf(fp,'\n                               Roots\n           Numerator                             Denominator');
    n1=length(raizesnume);
    n2=length(raizesdenomi);
    if n1>n2
        for k=1:n2
            fprintf(fp,'\n%s    %s',num2str(raizesnume(k),'%5.8e'),num2str(raizesdenomi(k),'%5.8e'));
        end
        for k=(n2+1):n1               
            fprintf(fp,'\n%s    ',num2str(raizesnume(k),'%5.8e'));
        end
    else
        for k=1:n1
            fprintf(fp,'\n%s    %s ',num2str(raizesnume(k),'%5.8e'),num2str(raizesdenomi(k),'%5.8e'));
        end
        for f=(n1+1):n2
            fprintf(fp,'\n                                     %s',num2str(raizesdenomi(f),'%5.8e'));
        end
    end
       
	fclose(fp);
	warndlg('Table saved!');
end
%--------------------------------------------------------------------------
function showroots_CloseRequestFcn(hObject, eventdata, handles)
delete(hObject);
function pushbuttonback_Callback(hObject, eventdata, handles)
%showroots_CloseRequestFcn
close(showroots);