function varargout = tabela2(varargin)
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @tabela2_OpeningFcn, ...
                   'gui_OutputFcn',  @tabela2_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin & isstr(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
%--------------------------------------------------------------------------
function tabela2_OpeningFcn(hObject, eventdata, handles, varargin)
load('tabelagraf');
abertabelagraf=1;
save tabelagraf.mat textotabelagraf abertabelagraf
load('tabelal');
[n,x]=size(tabelal);

load('frequenciaqueplotou');
if frequenciaqueplotou==1
    obj=findobj(gcf,'tag','textfrequency');
    set(obj,'string','Frequency(rad/s)');
elseif frequenciaqueplotou==0
    obj=findobj(gcf,'tag','textfrequency');
    set(obj,'string','Frequency(Hz)');
end



if n<21    
	obj=findobj(gcf,'tag','textfrequencia1');
	set(obj,'string',tabelal(1:n,1));
	obj=findobj(gcf,'tag','textganho1');
	set(obj,'string',tabelal(1:n,2));
    obj=findobj(gcf,'tag','textganholinear1');
	set(obj,'string',tabelal(1:n,3));   
	obj=findobj(gcf,'tag','textfase1');
	set(obj,'string',tabelal(1:n,4));
	obj=findobj(gcf,'tag','textatrasodegrupo1');
	set(obj,'string',tabelal(1:n,5));
    obj=findobj(gcf,'tag','textatrasodefase1');
	set(obj,'string',tabelal(1:n,6));
    
    obj=findobj(gcf,'tag','pushbuttonproximo');
    set(obj,'Enable','off');    
    
elseif n<41
    obj=findobj(gcf,'tag','textfrequencia1');
	set(obj,'string',tabelal(1:20,1));
	obj=findobj(gcf,'tag','textganho1');
	set(obj,'string',tabelal(1:20,2));
    obj=findobj(gcf,'tag','textganholinear1');
    set(obj,'string',tabelal(1:20,3));
	obj=findobj(gcf,'tag','textfase1');
	set(obj,'string',tabelal(1:20,4));
	obj=findobj(gcf,'tag','textatrasodegrupo1');
	set(obj,'string',tabelal(1:20,5));
    obj=findobj(gcf,'tag','textatrasodefase1');
	set(obj,'string',tabelal(1:20,6));
    
	obj=findobj(gcf,'tag','textfrequencia2');
	set(obj,'string',tabelal(21:n,1));
	obj=findobj(gcf,'tag','textganho2');
	set(obj,'string',tabelal(21:n,2));
	obj=findobj(gcf,'tag','textvarganho2');
	set(obj,'string',tabelal(21:n,3));
    obj=findobj(gcf,'tag','textganholinear2');
    set(obj,'string',tabelal(21:n,3));
	obj=findobj(gcf,'tag','textfase2');
	set(obj,'string',tabelal(21:n,4));
	obj=findobj(gcf,'tag','textvarfase2');
	set(obj,'string',tabelal(21:n,5));
	obj=findobj(gcf,'tag','textatrasodegrupo2');
	set(obj,'string',tabelal(21:n,5));
    obj=findobj(gcf,'tag','textatrasodefase2');
	set(obj,'string',tabelal(21:n,6));
    
    obj=findobj(gcf,'tag','pushbuttonproximo');
    set(obj,'Enable','off');     
    
else
    obj=findobj(gcf,'tag','textfrequencia1');
	set(obj,'string',tabelal(1:20,1));
	obj=findobj(gcf,'tag','textganho1');
	set(obj,'string',tabelal(1:20,2));
    obj=findobj(gcf,'tag','textganholinear1');
    set(obj,'string',tabelal(1:20,3));
	obj=findobj(gcf,'tag','textfase1');
	set(obj,'string',tabelal(1:20,4));
	obj=findobj(gcf,'tag','textatrasodegrupo1');
	set(obj,'string',tabelal(1:20,5));
    obj=findobj(gcf,'tag','textatrasodefase1');
	set(obj,'string',tabelal(1:20,6));
    
	obj=findobj(gcf,'tag','textfrequencia2');
	set(obj,'string',tabelal(21:40,1));
	obj=findobj(gcf,'tag','textganho2');
	set(obj,'string',tabelal(21:40,2));
	obj=findobj(gcf,'tag','textvarganho2');
	set(obj,'string',tabelal(21:40,3));
    obj=findobj(gcf,'tag','textganholinear2');
    set(obj,'string',tabelal(21:40,3));
	obj=findobj(gcf,'tag','textfase2');
	set(obj,'string',tabelal(21:40,4));
	obj=findobj(gcf,'tag','textvarfase2');
	set(obj,'string',tabelal(21:40,5));
	obj=findobj(gcf,'tag','textatrasodegrupo2');
	set(obj,'string',tabelal(21:40,5));
    obj=findobj(gcf,'tag','textatrasodefase2');
	set(obj,'string',tabelal(21:40,6));  
    
end

paginas=n/40;
pagina=1;
save paginas.mat paginas pagina

guidata(hObject, handles);
%--------------------------------------------------------------------------
function varargout = tabela2_OutputFcn(hObject, eventdata, handles)
%varargout{1} = handles.output;
%--------------------------------------------------------------------------
function botaosalvartabela_Callback(hObject, eventdata, handles)
load('tabelal');
load('frequenciaqueplotou');
load('caminho');

extensao='.doc';


cd(caminhosave);
[nome,caminhosave]=uiputfile('*.doc','SG2 - Save Table');
cd(caminhoinicial);
if caminhosave~=0        
    save caminho.mat caminho caminhoinicial caminhosave
end
if nome~=0	
	tamanho=length(nome);	
	if tamanho==1
        nome=strcat(nome,extensao);
	elseif tamanho==2
        nome=strcat(nome,extensao);
	elseif tamanho==2
        nome=strcat(nome,extensao);
	elseif tamanho==3    
        nome=strcat(nome,extensao);
	else
        finaldonome=strcat(nome(tamanho-3),nome(tamanho-2),nome(tamanho-1),nome(tamanho));
        if strcmpi(finaldonome,'.doc')==0||strcmpi(finaldonome,'.DOC')==0
            nome=strcat(nome,extensao);
        end 
	end    
	nomecaminho=strcat(caminhosave,nome);
	fp=fopen(nomecaminho,'w');
    if frequenciaqueplotou==1
        fprintf(fp,'Frequency(rad/s)  Magnitude(db) Magnitude Phase(o) Group Delay(s) Phase Delay(s)\n');
                    
        fprintf(fp,'                                               (Numeric Mode)                   \n\n');
    
    elseif frequenciaqueplotou==0
        fprintf(fp,'Frequency(Hz)  Magnitude(db) Magnitude Phase(o) Group Delay(s) Phase Delay(s)\n'); 
        fprintf(fp,'                                               (Numeric Mode)                   \n\n');
   
    end    
    tabelal=tabelal';
    fprintf(fp,'%8.8e     %8.8e     %+8.8e   %+8.8e   %+8.8e   %+8.8e\n',tabelal);
    fclose(fp);
    warndlg('Table saved!');
end

%--------------------------------------------------------------------------
function pushbuttonproximo_Callback(hObject, eventdata, handles)
load('tabelal');
load('paginas');
pagina=pagina+1;%pagina+1=pagina que ele ira mostrar
save paginas.mat paginas pagina
if pagina>1
    obj=findobj(gcf,'tag','pushbuttonanterior');
    set(obj,'Enable','on'); 
end
last=pagina*40;
first=last-39;
lastreal=paginas*40;

if (lastreal-first)<21
    obj=findobj(gcf,'tag','textfrequencia1');
	set(obj,'string',tabelal(first:lastreal,1));
	obj=findobj(gcf,'tag','textganho1');
	set(obj,'string',tabelal(first:lastreal,2));
    obj=findobj(gcf,'tag','textganholinear1');
    set(obj,'string',tabelal(first:lastreal,3));
	obj=findobj(gcf,'tag','textfase1');
	set(obj,'string',tabelal(first:lastreal,4));
	obj=findobj(gcf,'tag','textatrasodegrupo1');
	set(obj,'string',tabelal(first:lastreal,5));	
    obj=findobj(gcf,'tag','textatrasodefase1');
	set(obj,'string',tabelal(first:lastreal,6));
    
    
    obj=findobj(gcf,'tag','textfrequencia2');
	set(obj,'string','');
	obj=findobj(gcf,'tag','textganho2');
	set(obj,'string','');
	obj=findobj(gcf,'tag','textvarganho2');
	set(obj,'string','');
    obj=findobj(gcf,'tag','textganholinear2');
    set(obj,'string','');
	obj=findobj(gcf,'tag','textfase2');
	set(obj,'string','');
	obj=findobj(gcf,'tag','textvarfase2');
	set(obj,'string','');
	obj=findobj(gcf,'tag','textatrasodegrupo2');
	set(obj,'string','');	
    obj=findobj(gcf,'tag','textatrasodefase2');
	set(obj,'string','');
    
else
    obj=findobj(gcf,'tag','textfrequencia1');
	set(obj,'string',tabelal(first:first+19,1));
	obj=findobj(gcf,'tag','textganho1');
	set(obj,'string',tabelal(first:first+19,2));
    obj=findobj(gcf,'tag','textganholinear1');
    set(obj,'string',tabelal(first:first+19,3));
	obj=findobj(gcf,'tag','textfase1');
	set(obj,'string',tabelal(first:first+19,4));
	obj=findobj(gcf,'tag','textatrasodegrupo1');
	set(obj,'string',tabelal(first:first+19,5));
    obj=findobj(gcf,'tag','textatrasodefase1');
	set(obj,'string',tabelal(first:first+19,6));
	
	obj=findobj(gcf,'tag','textfrequencia2');
	set(obj,'string',tabelal(first+20:lastreal,1));
	obj=findobj(gcf,'tag','textganho2');
	set(obj,'string',tabelal(first+20:lastreal,2));
	obj=findobj(gcf,'tag','textvarganho2');
	set(obj,'string',tabelal(first+20:lastreal,3));
    obj=findobj(gcf,'tag','textganholinear2');
    set(obj,'string',tabelal(first+20:lastreal,3));
	obj=findobj(gcf,'tag','textfase2');
	set(obj,'string',tabelal(first+20:lastreal,4));
	obj=findobj(gcf,'tag','textvarfase2');
	set(obj,'string',tabelal(first+20:lastreal,5));
	obj=findobj(gcf,'tag','textatrasodegrupo2');
	set(obj,'string',tabelal(first+20:lastreal,5));
    obj=findobj(gcf,'tag','textatrasodefase2');
	set(obj,'string',tabelal(first+20:lastreal,6));
    
end

if pagina==ceil(paginas)
    obj=findobj(gcf,'tag','pushbuttonproximo');
    set(obj,'Enable','off');
end   

%--------------------------------------------------------------------------
function pushbuttonanterior_Callback(hObject, eventdata, handles)
load('tabelal');
load('paginas');
pagina=pagina-1;%pagina-1=pagina que ele ira mostrar(anterior)
save paginas.mat paginas pagina

last=pagina*40;
first=last-39;
lastreal=paginas*40;
if (lastreal-first)<21
    obj=findobj(gcf,'tag','textfrequencia1');
	set(obj,'string',tabelal(first:lastreal,1));
	obj=findobj(gcf,'tag','textganho1');
	set(obj,'string',tabelal(first:lastreal,2));
    obj=findobj(gcf,'tag','textganholinear1');
    set(obj,'string',tabelal(first:lastreal,3));
	obj=findobj(gcf,'tag','textfase1');
	set(obj,'string',tabelal(first:lastreal,4));
	obj=findobj(gcf,'tag','textatrasodegrupo1');
	set(obj,'string',tabelal(first:lastreal,5));
    obj=findobj(gcf,'tag','textatrasodefase1');
	set(obj,'string',tabelal(first:lastreal,6));  
    
    obj=findobj(gcf,'tag','textfrequencia2');
	set(obj,'string','');
	obj=findobj(gcf,'tag','textganho2');
	set(obj,'string','');
	obj=findobj(gcf,'tag','textvarganho2');
	set(obj,'string','');
    obj=findobj(gcf,'tag','textganholinear1');
    set(obj,'string','');
	obj=findobj(gcf,'tag','textfase2');
	set(obj,'string','');
	obj=findobj(gcf,'tag','textvarfase2');
	set(obj,'string','');
	obj=findobj(gcf,'tag','textatrasodegrupo2');
	set(obj,'string','');
    obj=findobj(gcf,'tag','textatrasodefase2');
	set(obj,'string','');
    
else
    obj=findobj(gcf,'tag','textfrequencia1');
	set(obj,'string',tabelal(first:first+19,1));
	obj=findobj(gcf,'tag','textganho1');
	set(obj,'string',tabelal(first:first+19,2));
    obj=findobj(gcf,'tag','textganholinear1');
    set(obj,'string',tabelal(first:first+19,3));
	obj=findobj(gcf,'tag','textfase1');
	set(obj,'string',tabelal(first:first+19,4));
	obj=findobj(gcf,'tag','textatrasodegrupo1');
	set(obj,'string',tabelal(first:first+19,5));
    obj=findobj(gcf,'tag','textatrasodefase1');
	set(obj,'string',tabelal(first:first+19,6));
	
	obj=findobj(gcf,'tag','textfrequencia2');
	set(obj,'string',tabelal(first+20:lastreal,1));
	obj=findobj(gcf,'tag','textganho2');
	set(obj,'string',tabelal(first+20:lastreal,2));
	obj=findobj(gcf,'tag','textvarganho2');
	set(obj,'string',tabelal(first+20:lastreal,3));
    obj=findobj(gcf,'tag','textganholinear2');
    set(obj,'string',tabelal(first+20:lastreal,3));
	obj=findobj(gcf,'tag','textfase2');
	set(obj,'string',tabelal(first+20:lastreal,4));
	obj=findobj(gcf,'tag','textvarfase2');
	set(obj,'string',tabelal(first+20:lastreal,5));
	obj=findobj(gcf,'tag','textatrasodegrupo2');
	set(obj,'string',tabelal(first+20:lastreal,5));
    obj=findobj(gcf,'tag','textatrasodefase2');
	set(obj,'string',tabelal(first+20:lastreal,6)); 
end

if pagina==1
    obj=findobj(gcf,'tag','pushbuttonanterior');
    set(obj,'Enable','off');     
end
if pagina==ceil(paginas)-1
    obj=findobj(gcf,'tag','pushbuttonproximo');
    set(obj,'Enable','on');
end
%--------------------------------------------------------------------------
function botaovoltar_Callback(hObject, eventdata, handles)
load('tabelagraf');
abertabelagraf=0;
save tabelagraf.mat textotabelagraf abertabelagraf

close(textotabelagraf);
%--------------------------------------------------------------------------
function tabela2_CloseRequestFcn(hObject, eventdata, handles)
load('tabelagraf');
abertabelagraf=0;
save tabelagraf.mat textotabelagraf abertabelagraf

delete(hObject);


